generator:
  class: dmAdminDoctrineGenerator
  param:
    model_class: Evenement
    theme: dmAdmin
    non_verbose_templates: true
    with_show: false
    route_prefix: evenement
    with_doctrine_route: false
    i18n_catalogue: dm
    config:
      actions: ~
      fields:
        is_active:
          label: Active
        is_homepage:
          label: Homepage
        dm_gallery: Gallery
      list:
        display:
          - '=titre'
          - _description
          - date
          - dm_gallery
          - is_active
          - is_homepage
          - updated_at
        sort:
          - created_at
          - desc
        table_method: getAdminListQuery
        table_count_method: ~
        sortable: false
      filter:
        display:
          - id
          - is_active
          - is_homepage
          - date
          - file_id
          - created_at
          - updated_at
          - titre
          - description
      form:
        display:
          NONE: [titre, date, is_active, is_homepage]
          Description: [description]
          Gallery: [dm_gallery]
          File: [file_id_form, file_id_view]
        class: EvenementAdminForm
        fields: {  }
      edit: ~
      new: ~
